Loading...
Searching...
No Matches
ASSA::MaskSet Class Reference

`#include <MaskSet.h>`

## Public Member Functions

void | reset ()
| Clear all bits in all sets.
void | sync ()
| Resync internals after select() call.
int | max_fd ()
| Return maximum value of the file descriptor in the Set.
void | dump ()
| Write current state of MaskSet object to log file.

## Public Attributes

FdSet | m_rset
| Read fds set.
FdSet | m_wset
| Write fds set.
FdSet | m_eset
| Exception fds set.

## Detailed Description

Definition at line 24 of file MaskSet.h.

## Member Function Documentation

## dump()

void ASSA::MaskSet::dump | ( |  | ) |

inline

Write current state of MaskSet object to log file.

Definition at line 79 of file MaskSet.h.

{
DL((REACTTRACE,"+---------------------------\n"));
DL((REACTTRACE,"| RD FDs set %s\n", m_rset.dump_c_str ().c_str ()));
DL((REACTTRACE,"| WR FDs set %s\n", m_wset.dump_c_str ().c_str ()));
DL((REACTTRACE,"| EX FDs set %s\n", m_eset.dump_c_str ().c_str ()));
DL((REACTTRACE,"+---------------------------\n"));
}
DL
#define DL(X)
A macro for writing debug message to the Logger.
Definition Logger.h:273
ASSA::MaskSet::m_rset
FdSet m_rset
Read fds set.
Definition MaskSet.h:28
ASSA::MaskSet::m_eset
FdSet m_eset
Exception fds set.
Definition MaskSet.h:34
ASSA::MaskSet::m_wset
FdSet m_wset
Write fds set.
Definition MaskSet.h:31
ASSA::REACTTRACE
@ REACTTRACE
Extended Reactor/PrioriyQueue messages.
Definition LogMask.h:40

References DL, m_eset, m_rset, m_wset, and ASSA::REACTTRACE.

## max_fd()

int ASSA::MaskSet::max_fd | ( |  | ) |

inline

Return maximum value of the file descriptor in the Set.

Definition at line 70 of file MaskSet.h.

{
return (std::max (m_rset.maxInSet (),
std::max (m_wset.maxInSet (),
m_eset.maxInSet ())));
}

References m_eset, m_rset, and m_wset.

## reset()

void ASSA::MaskSet::reset | ( |  | ) |

inline

Clear all bits in all sets.

Definition at line 61 of file MaskSet.h.

{
m_rset.reset ();
m_wset.reset ();
m_eset.reset ();
}

References m_eset, m_rset, and m_wset.

## sync()

void ASSA::MaskSet::sync | ( |  | ) |

inline

Resync internals after select() call.

Definition at line 51 of file MaskSet.h.

{
m_rset.sync ();
m_wset.sync ();
m_eset.sync ();
}

References m_eset, m_rset, and m_wset.

## Member Data Documentation

## m_eset

FdSet ASSA::MaskSet::m_eset

Exception fds set.

Definition at line 34 of file MaskSet.h.

Referenced by dump(), max_fd(), reset(), and sync().

## m_rset

FdSet ASSA::MaskSet::m_rset

Read fds set.

Definition at line 28 of file MaskSet.h.

Referenced by dump(), max_fd(), reset(), and sync().

## m_wset

FdSet ASSA::MaskSet::m_wset

Write fds set.

Definition at line 31 of file MaskSet.h.

Referenced by dump(), max_fd(), reset(), and sync().

The documentation for this class was generated from the following file:

- MaskSet.h